#
# spec file for package mysql (Version 5.0.90)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define _with_testsuite 0

Name:           mysql
BuildRequires:  gcc-c++ ncurses-devel openssl-devel procps pwdutils readline-devel tcpd-devel zlib-devel
License:        GPL v2 only
Group:          Productivity/Databases/Servers
Version:        5.0.90
Release:        16.1
# required by rcmysql
Requires:       mysql-client = %{version}
# bug437293
%ifarch ppc64
Obsoletes:      mysql-shared-64bit
Obsoletes:      mysql-64bit
%endif
#
Url:            http://www.mysql.com
Summary:        A True Multiuser, Multithreaded SQL Database Server
PreReq:         /usr/sbin/useradd /usr/sbin/groupadd %install_info_prereq %fillup_prereq %insserv_prereq coreutils sed grep
Source:         mysql-%{version}.tar.bz2
Source1:        rc.mysql
Source3:        README.debug
Source4:        suse-test-run
Source5:        mysql.SuSEfirewall2
Source6:        sysconfig.mysql
Source7:        rc.mysql-multi
Patch2:         mysql-cnf.patch
Patch3:         mysql-multi-configuration.patch
Patch4:         mysql-group.patch
Patch5:         mysql-install_db-quiet.patch
Patch7:         mysql-logrotate.patch
Patch8:         mysqld_multi.patch
#Patch11:        mysql-5.0.67-compiler-warnings.patch
Patch13:        mysql_upgrade-exit-status.patch
Patch15:        mysql-vpath.patch
Patch16:        mysql-5.0.67-mysql_config.patch
#Patch17:        mysql-5.0.67-CVE-2008-2079.patch
#Patch18:        mysql-5.0.67-mysql_install_db-localhost.patch
#Patch19:        mysql-5.0.67-CVE-2008-4456.patch
#Patch20:        mysql-5.0.67-CVE-2009-2446.patch
#Patch40:        mysql-5.1.36-CVE-2009-4028.patch
#Patch41:        mysql-5.0.67-subqueries-errors.patch
#Patch42:        mysql-5.0.67-gis.patch
#Patch43:        mysql-5.0.67-CVE-2008-7247.patch
#Patch44:        mysql-5.0.67-CVE-2009-4030.patch
#Patch45:        mysql-5.0.67-variables-big.patch
#Patch46:        mysql-5.0.67-CVE-2009-4484.patch
Patch47:        mysql-5.0.67-stack.patch
Patch48:        mysql-5.0.67-stack-guard.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SQL is the most popular database language in the world. MySQL is a
client/server implementation that consists of a server daemon (mysqld)
and many different client programs and libraries.

The main goals of MySQL are speed, robustness, and ease of use. MySQL
was originally developed because the developers at TcX needed an SQL
server that could handle very large databases an order of magnitude
faster than what any database vendor could offer them. They have now
been using MySQL since 1996 in an environment with more than 40
databases containing 10,000 tables, of which more than 500 have more
than 7 million rows. This is about 100 gigabytes of mission-critical
data.

The base upon which MySQL is built is a set of routines that have been
used in a highly demanding production environment for many years. While
MySQL is still in development, it already offers a rich and highly
useful function set.

The official way to pronounce MySQL is "My Ess Que Ell" (Not
MY-SEQUEL).

This package only contains the server-side programs.



Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

%package -n libmysqlclient-devel
# mysql-devel was last used in openSUSE 10.2
Provides:       mysql-devel = %version-%release
Obsoletes:      mysql-devel <= 5.0.26
Requires:       libmysqlclient15 = %version libmysqlclient_r15 = %version glibc-devel zlib-devel openssl-devel
Summary:        MySQL Development Header Files and Libraries
License:        GPL v2 only; "with additional permissions: EXCEPTIONS-CLIENT ..."; with additional permissions: EXCEPTIONS-CLIENT
Group:          Development/Libraries/C and C++
# bug437293
%ifarch ppc64
Obsoletes:      mysql-shared-64bit
Obsoletes:      mysql-64bit
%endif
#

%description -n libmysqlclient-devel
This package contains the development header files and libraries
necessary to develop MySQL client applications.



Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

%package client
License:        GPL v2 only
Summary:        MySQL Client
Group:          Productivity/Databases/Clients

%description client
This package contains the standard MySQL clients.



Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

%package bench
Requires:       mysql-client perl-DBD-mysql
License:        LGPL v2.1 only
Summary:        MySQL - Benchmarks
Group:          Productivity/Databases/Tools

%description bench
This package contains MySQL benchmark scripts and data.

To run these database benchmarks, start the script "run-all-tests" in
the directory /usr/share/sql-bench after starting MySQL.



Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

%package -n libmysqlclient15
Summary:        MySQL Shared Libraries
License:        GPL v2 only; "with additional permissions: EXCEPTIONS-CLIENT ..."; with additional permissions: EXCEPTIONS-CLIENT
Group:          Development/Libraries/Other
# bug437293
%ifarch ppc64
Obsoletes:      mysql-shared-64bit
Obsoletes:      mysql-64bit
%endif
#
# make sure libmysqlclient15 replaces the 5.0.x versions of mysql-shared,
# but can coexist with 4.x versions of mysql-shared
# libmysqlclient_r15 will then be pulled in when needed
# *** this has to be removed when the package name changes ***
Provides:       mysql-shared = %version
Obsoletes:      mysql-shared >= 5.0

%description -n libmysqlclient15
This package contains the shared libraries (.so) which certain
languages and applications need to dynamically load and use MySQL.



Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

%package -n libmysqlclient_r15
Summary:        A True Multiuser, Multithreaded SQL Database Server
License:        GPL v2 only
Group:          Productivity/Databases/Servers
# bug437293
%ifarch ppc64
Obsoletes:      mysql-shared-64bit
Obsoletes:      mysql-64bit
%endif
#

%description -n libmysqlclient_r15
SQL is the most popular database language in the world. MySQL is a
client/server implementation that consists of a server daemon (mysqld)
and many different client programs and libraries.

The main goals of MySQL are speed, robustness, and ease of use. MySQL
was originally developed because the developers at TcX needed an SQL
server that could handle very large databases an order of magnitude
faster than what any database vendor could offer them. They have now
been using MySQL since 1996 in an environment with more than 40
databases containing 10,000 tables, of which more than 500 have more
than 7 million rows. This is about 100 gigabytes of mission-critical
data.

The base upon which MySQL is built is a set of routines that have been
used in a highly demanding production environment for many years. While
MySQL is still in development, it already offers a rich and highly
useful function set.

The official way to pronounce MySQL is "My Ess Que Ell" (Not
MY-SEQUEL).

This package only contains the server-side programs.



Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

%package Max
License:        GPL v2 only
Summary:        MySQL - Server with Berkeley DB
Group:          Productivity/Databases/Servers
Requires:       mysql = %{version}

%description Max
An optional MySQL server binary that supports features such as
transactional tables. To make use of these features, just install this
package in addition to the MySQL package.



Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

%package debug
License:        GPL v2 only
Summary:        MySQL server with debug options turned on
Group:          Productivity/Databases/Servers
Requires:       mysql = %{version}

%description debug
A version of the mysql-Max server that has some debug code turned on.
It should be only used to track down problems with the standard
servers. Note that merely installing this package won't replace the
standard server. Read /usr/share/doc/packages/mysql/README.debug for
information on how to use the debug server.



Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

%package test
License:        GPL v2 only
Summary:        MySQL testsuite
Group:          Productivity/Databases/Servers
Requires:       mysql = %{version} mysql-client = %{version} perl-DBD-mysql

%description test
This package contains the MySQL test scripts and data.

To run the testsuite, run /usr/share/mysql-test/suse-test-run (or
suse-test-run-Max for the mysql-Max package).



Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

%package tools
License:        GPL v2 only
Summary:        MySQL tools
Group:          Productivity/Databases/Servers
Requires:       perl-DBD-mysql
# make sure this package is installed when updating from 10.2 and older
Provides:       mysql:/usr/bin/mysqlhotcopy mysql-client:/usr/bin/perror

%description tools
A set of scripts for administering a MySQL server or developing
applications with MySQL.



Authors:
--------
    Michael Widenius <monty@mysql.com>
    David Axmark <davida@mysql.com>

%prep
%setup -q
cp %_sourcedir/suse-test-run .
%patch2
%patch3
%patch4
%patch5
%patch7
%patch8
##patch11
%patch13
%patch15
%patch16
##patch17
##patch18
##patch19
##patch20
##patch40
##patch41
##patch42
##patch43
##patch44
##patch45
##patch46 -p1
%patch47 -p1
%patch48
# remove unneeded man manpages
rm man/mysqlman.1 man/safe_mysqld.1 man/mysql.server.1 man/make_win_*.1
# these are generated in the builddir, remove the pregenerated files to
# avoid accidentaly using them
rm innobase/ib_config.h scripts/mysqlbug bdb/Makefile

%build
%if 0%{?suse_version} < 1000
# on sles9 autoreconf fails otherwise
cp /usr/share/libtool/ltmain.sh innobase/
%endif
autoreconf -f -i
# For some platforms the berkeley DB backend does not work.
export BERKELEY="with"
%ifarch ppc ppc64 s390 s390x mips alpha x86_64 sparc hppa
export BERKELEY="without"
%endif
# Make the compile a function, since we do it thrice
BuildMySQL() {
	# The --enable-assembler simply does nothing on systems that do not
	# support assembler speedups.
	suffix="$1"; shift
	mkdir _build$suffix
	pushd _build$suffix
	export CFLAGS="$RPM_OPT_FLAGS -DPIC -fPIC -DUNDEF_HAVE_INITGROUPS -DFORCE_INIT_OF_VARS -fno-strict-aliasing"
	export CXXFLAGS="$CFLAGS -fno-exceptions -fno-rtti"
	../configure \
		--enable-assembler \
		--without-readline \
		--enable-large-files \
		--infodir=%{_infodir} \
		--libdir=%{_libdir} \
		--libexecdir=/usr/sbin \
		--localstatedir=/var/lib/mysql \
		--mandir=%{_mandir} \
		--prefix=%{_prefix} \
		--sysconfdir=/etc \
		--with-mysqld-user=mysql \
		--with-isam \
		--without-debug \
		--datadir=/usr/share \
		--includedir=/usr/include \
		--with-extra-charsets=complex \
		--with-unix-socket-path=/var/lib/mysql/mysql.sock \
		--enable-thread-safe-client \
		--with-comment="SUSE MySQL RPM" \
		--with-libwrap \
		--with-server-suffix=$suffix \
		--with-big-tables \
		HOSTNAME="/bin/hostname -f" \
		"$@"
	# Add this for MyISAM RAID support:
	# --with-raid
	# benchdir does not fit in above model. Fix when we make a separate package
	make %{?jobs:-j%jobs} benchdir=%buildroot/usr/share/sql-bench
	nm --numeric-sort sql/mysqld > sql/mysqld.sym
	# needed for make check, which is not VPATH aware
	# copy the files unconditionally so that manual 'make check' after
	# the build works, too
	cp -a ../mysql-test/* mysql-test/
	cp -a ../sql/share/{english,charsets} sql/share/
	cp -a ../scripts/*.sql scripts/
#%if %{?_with_testsuite:1}0
#	pushd mysql-test; perl ./mysql-test-run.pl --force; popd
#%endif
	popd
}
# Build the client, extra tools, libraries and mysqld-max
BuildMySQL "-max" --with-server-suffix=-Max \
		--${BERKELEY}-berkeley-db \
		--with-openssl \
		--with-innodb \
		--with-embedded-server \
		--with-extra-tools \
		--with-archive-storage-engine \
		--with-csv-storage-engine \
		--with-example-storage-engine \
		--with-blackhole-storage-engine \
		--with-federated-storage-engine
# safeguard: don't use distributed pregenerated files instead of generated ones
find _build-max/ -type f -printf '%%P\n' | grep -v '^mysql-test' | sort >_t1
find . -type f -printf '%%P\n' | sort >_t2
join _t[12] | {
	err=0
	while read f; do
		if ! cmp "$f" _build-max/"$f"; then
			err=1;
		fi
	done
	if test "$err" = "1"; then
		echo "%buildsubdir/ seems to contain pregenerated distributed files"
		echo "that are different from generated files in %buildsubdir/_build-max/."
		echo "Better remove the distributed files in %%prep to avoid using these during build."
	fi
	exit $err
} || exit
rm _t[12]
# build mysqld-debug (speed up normal build by skipping tests/ and client/)
BuildMySQL "-debug" --with-server-suffix=-debug \
		--${BERKELEY}-berkeley-db \
		--with-openssl \
		--with-innodb \
		--with-debug \
		--without-extra-tools \
		--without-embedded-server \
		--with-csv-storage-engine \
		--with-example-storage-engine \
		--with-blackhole-storage-engine \
		--with-federated-storage-engine
# Now build the standard mysqld
BuildMySQL "" \
		--without-berkeley-db \
		--without-openssl \
		--with-innodb \
		--without-extra-tools \
		--without-embedded-server

%install
# install client, extra tools, libraries and mysql-max
make -C _build-max install DESTDIR=%buildroot benchdir_root=/usr/share/
mv %buildroot/usr/sbin/mysqld %buildroot/usr/sbin/mysqld-max
install -m 644 _build-max/sql/mysqld.sym \
	%buildroot%{_libdir}/mysql/mysqld-max.sym
# install the debug server
make -C _build-debug/sql install DESTDIR=%buildroot
mv %buildroot/usr/sbin/mysqld %buildroot/usr/sbin/mysqld-debug
install -m 644 _build-debug/sql/mysqld.sym %buildroot%_libdir/mysql/mysqld-debug.sym
# install the standard server
# (this must be the last one, otherwise /usr/sbin/mysqld would get overwritten)
make -C _build/sql install DESTDIR=%buildroot
install -m 644 _build/sql/mysqld.sym %buildroot%_libdir/mysql/mysqld.sym
# move the shared libs directly to %_libdir
pushd %buildroot%{_libdir}/mysql
	for f in libmysqlclient*.so*; do
		mv "$f" ..
		ln -s ../"$f"
	done
popd
# generate filelist for binaries and their manpages (easier than enumerating
# all the binaries and manapages manually, esp. when there are new manpages in
# each release)
filelist()
{
	echo '%%defattr(-, root, root)'
	pushd %buildroot >/dev/null
	for i; do
		if test -e usr/sbin/"$i"; then
			echo /usr/sbin/"$i"
		else
			# if it doesn't exist, rpmbuild will fail after
			# %%install
			echo /usr/bin/"$i"
		fi
		if ls usr/share/man/*/"$i".[1-9]* >/dev/null 2>&1; then
			echo "%%doc %_mandir/*/$i.[1-9]*"
		fi
	done
	popd >/dev/null
}
filelist innochecksum my_print_defaults myisam_ftdump myisamchk myisamlog myisampack mysql_fix_extensions mysql_fix_privilege_tables mysql_install_db mysql_secure_installation mysql_upgrade mysqlbug mysqld mysqld_multi mysqld_safe mysqlbinlog mysqldumpslow mysqlmanager resolve_stack_dump resolveip >mysql.files
filelist mysql mysqladmin mysqlcheck mysqldump mysqlimport mysqlshow >mysql-client.files
filelist comp_err mysql_config >libmysqlclient-devel.files
filelist mysql_client_test mysql_client_test_embedded mysql_waitpid mysqltest mysqltest_embedded mysqltestmanager mysqltestmanager-pwgen mysqltestmanagerc >mysql-test.files
# all binaries that don't need to be in a "default" install (mysql.rpm +
# mysql-client.rpm)
filelist msql2mysql mysql_convert_table_format mysql_explain_log mysql_find_rows mysql_setpermission mysql_tableinfo mysql_tzinfo_to_sql mysql_zap mysqlaccess mysqlhotcopy perror replace >mysql-tools.files
### files not installed by make install
# Create directory structure
DOCS=(COPYING README EXCEPTIONS-CLIENT %_sourcedir/README.debug)
DOCDIR=%buildroot%_defaultdocdir/%name
install -d -m 755 ${DOCDIR}
install -d -m 755 %buildroot/etc/logrotate.d
install -d -m 755 %buildroot/etc/init.d
install -d -m 755 %buildroot/var/lib/mysql
install -m 644 _build/support-files/mysql-log-rotate %buildroot/etc/logrotate.d/mysql
install -m 660 _build/support-files/my-medium.cnf %buildroot/etc/my.cnf
install -m 640 scripts/mysqlaccess.conf %buildroot/etc/mysqlaccess.conf
install -m 644 "${DOCS[@]}" ${DOCDIR}
install -m 755 %_sourcedir/rc.mysql-multi %buildroot/etc/init.d/mysql
ln -sf ../../etc/init.d/mysql %buildroot/usr/sbin/rcmysql
install -m 755 -d %buildroot/var/lib/mysql/.tmp
# this is used by the init script
install -m 700 -d %buildroot/var/lib/mysql/.protected
# SuSEfirewall service description
install -D -m 644 %_sourcedir/mysql.SuSEfirewall2 \
	%buildroot/etc/sysconfig/SuSEfirewall2.d/services/mysql
# testsuite
install -m 755 suse-test-run %buildroot/usr/share/mysql-test/
ln -s suse-test-run %buildroot/usr/share/mysql-test/suse-test-run-max
# XXX this should go under /var/..., but some tests get confused by a symlink
# var -> ../../../var/...
#ln -sf ../../../var/lib/mysql/mysql-test %buildroot/usr/share/mysql-test/var
mkdir %buildroot/usr/share/mysql-test/var
# Install the /etc/sysconfig/mysql file
mkdir -p %buildroot/var/adm/fillup-templates
install -m 700 %_sourcedir/sysconfig.mysql ${RPM_BUILD_ROOT}/var/adm/fillup-templates
# not needed, replaced by mysql_upgrade.c
rm %buildroot/usr/bin/mysql_upgrade_shell

%pre
/usr/sbin/groupadd -r mysql >/dev/null 2>/dev/null || :
/usr/sbin/useradd -r -o -g mysql -u 60 -c "MySQL database admin" \
                  -s /bin/false -d /var/lib/mysql mysql 2> /dev/null || :
/usr/sbin/usermod -g mysql -s /bin/false mysql
dbfile=var/mysql/mysql/db.ISM
olddir=var/mysql
newdir=var/lib/mysql
# Do the database files still belong to root (very old installation)?
# Change ownerships
if [ -O $dbfile ]
then
chown -Rv mysql:mysql var/mysql/
fi
# Copy existing database files to the new location
# only if they do not exist yet!
if [ -d $olddir ] && ! [ -d $newdir ]
then
cp -a $olddir $newdir || echo "Error while copying the database files to the new location!"
fi

%post
touch /var/lib/mysql/.run-mysql_upgrade
%{fillup_and_insserv mysql}
%install_info --info-dir=%{_infodir} %{_infodir}/mysql.info.gz
chown -R mysql:mysql /var/lib/mysql
# users usually look into /var/log for logfiles
# doing this in %%build wouldn't pass brp-symlink
# also we don't want to overwrite existing files (actaully sth like %%ghost)
ln -s ../lib/mysql/mysqld.log /var/log/mysqld.log 2>/dev/null || :
# err-log was renamed to log-error
if grep -q '^err-log' /etc/my.cnf; then
	sed -i 's/^err-log/log-error/' /etc/my.cnf
fi

%post Max
touch /var/lib/mysql/.run-mysql_upgrade

%post -n libmysqlclient15 -p /sbin/ldconfig

%post -n libmysqlclient_r15 -p /sbin/ldconfig

%postun -n libmysqlclient15 -p /sbin/ldconfig

%postun -n libmysqlclient_r15 -p /sbin/ldconfig

%preun
%stop_on_removal mysql

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/mysql.info.gz
%restart_on_update mysql
%{insserv_cleanup}

%clean
rm -rf %buildroot

%files -f mysql.files
%defattr(-, root, root)
%config(noreplace) %attr(-, mysql, mysql) /etc/my.cnf
%config /etc/logrotate.d/mysql
%doc %{_defaultdocdir}/%{name}
%doc %{_infodir}/mysql.info.gz
/etc/init.d/mysql
/usr/sbin/rcmysql
/usr/share/mysql/
%attr(755,mysql,mysql)/var/lib/mysql
%attr(700,mysql,mysql)/var/lib/mysql/.protected
%dir %{_libdir}/mysql
%{_libdir}/mysql/mysqld.sym
%{_localstatedir}/adm/fillup-templates/sysconfig.mysql
/etc/sysconfig/SuSEfirewall2.d/services/mysql

%files client -f mysql-client.files
%defattr(-, root, root)
%config /etc/mysqlaccess.conf

%files -n libmysqlclient-devel -f libmysqlclient-devel.files
%defattr(-, root, root)
/usr/include/mysql
%dir %{_libdir}/mysql
%{_libdir}/mysql/*.*a
%{_libdir}/libmysqlclient.so
%{_libdir}/libmysqlclient_r.so
%{_libdir}/mysql/libmysqlclient.so
%{_libdir}/mysql/libmysqlclient_r.so

%files bench
%defattr(-, root, root)
/usr/share/sql-bench

%files -n libmysqlclient15
%defattr(-, root, root)
%{_libdir}/libmysqlclient.so.*
%{_libdir}/mysql/libmysqlclient.so.*

%files -n libmysqlclient_r15
%defattr(-, root, root)
%{_libdir}/libmysqlclient_r.so.*
%{_libdir}/mysql/libmysqlclient_r.so.*

%files Max
%defattr(-, root, root)
/usr/sbin/mysqld-max
%{_libdir}/mysql/mysqld-max.sym

%files debug
%defattr(-, root, root)
/usr/sbin/mysqld-debug
%{_libdir}/mysql/mysqld-debug.sym

%files test -f mysql-test.files
%defattr(-, root, root)
%_mandir/man1/mysql-test-run.pl.1*
%_mandir/man1/mysql-stress-test.pl.1*
/usr/share/mysql-test
%dir %attr(755, mysql, mysql) /usr/share/mysql-test/var

%files tools -f mysql-tools.files

%changelog
* Wed Sep 08 2010 Carsten Schoene <cs@linux-administrator.com> - 5.0.90-14
- build version 5.0.90

* Thu Jan 28 2010 mhrusecky@suse.cz
- fixed PPC problems with stack found in bnc#557669
* Wed Jan 20 2010 mhrusecky@suse.cz
- fixed two broken tests (variables-big & symlink) reported in
  bnc#557669
- fixed CVE-2009-4484 (upstream #50227, bnc#567977, swamp#29870)
  - security against yaSSL which is disabled in our binaries
* Tue Dec  1 2009 mhrusecky@suse.cz
- fixing various security issues (bnc#557669)
  - upstream #47320 - checking server certificates (CVE-2009-4028)
  - upstream #48291 - error handling in subqueries (CVE-2009-4019)
  - upstream #47780 - preserving null_value flag in GeomFromWKB()
    (CVE-2009-4019)
  - upstream #39277 - symlink behaviour fixed (CVE-2008-7247)
  - upstream #32167 - symlink behaviour refixed (CVE-2009-4030)
* Mon Jul 13 2009 mhrusecky@suse.cz
- fixed post auth format string vulnerability
  (bnc#520608 and CVE-2009-2446)
* Fri Jul 10 2009 mhrusecky@suse.cz
- fixed cross-site scripting vulnerability in the command-line client
  (bnc#497546 and CVE-2008-4456)
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Oct 23 2008 mmarek@suse.cz
- fix mysql_install_db when the hostname is 'localhost'
  (bnc#429618, mysql#35754)
* Thu Sep 25 2008 mmarek@suse.cz
- build -max and -debug with --with-big-tables and archive, csv,
  example, blackhole and federated engines to match the binary
  builds provided by MySQL (bnc#427384)
* Fri Sep 12 2008 mmarek@suse.cz
- better fix for CVE-2008-2079 (bnc#425079, mysql#32167)
* Fri Sep 12 2008 mmarek@suse.de
- remove no longer needed s390 workaround
* Tue Sep  2 2008 mmarek@suse.cz
- fix mysql_config --libs output (bnc#420313, mysql#39175)
* Mon Aug 25 2008 mmarek@suse.cz
- updated to 5.0.67, for changes see
  http://dev.mysql.com/doc/refman/5.0/en/releasenotes-cs-5-0-67.html
* Mon Aug 18 2008 mmarek@suse.de
- add Required-Stop: $network $remote_fs to the init script
* Fri May 30 2008 mmarek@suse.cz
- fix a race in rcmysql restart between the old mysql removing it's
  pid file and exiting - use checkproc -p (bnc#359522, bnc#332530,
  [#395710])
* Thu May 22 2008 mmarek@suse.cz
- increase timeout in rcmysql stop, should fix failed restarts
  (bnc#359522, bnc#332530)
* Mon May 19 2008 mmarek@suse.cz
- fixed a privilege bypass with DATA/INDEX DIRECTORY
  (bnc#387746, mysql#32167, CVE-2008-2079)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Fri Mar 14 2008 mmarek@suse.cz
- fixed mysqld_multi.patch (bnc#371000)
* Fri Mar 14 2008 mmarek@suse.cz
- add 'user = mysql' to mysqld_multi example groups
* Fri Mar 14 2008 mmarek@suse.cz
- synced with server:database:mysql51
- dropped README.SUSE (bnc#357634)
- moved mysql_upgrade to the server package (bnc#366820)
- adjusted license tags
- finally convert err-log to log-error in my.cnf
- Added multi database support by
  o updating /etc/init.d/mysql, it has now 2 legs the existing one to start
    a single database, and a new one to start and stop multiple database.
  o Added a sysconfig variable
  o Updated /etc/my.cnf with some examples database configurations
  (Done by Richard Bos, minor edits by me, bnc#353120)
* Tue Feb 26 2008 mmarek@suse.cz
- updated to 5.0.51a
  * incorporates previous security fixes
* Fri Jan  4 2008 mmarek@suse.cz
- updated to 5.0.51
  * statements that contain unclosed /*-comments now are rejected
    with a syntax error [mysql#28779]
  * server parser performance improvements [mysql#30625,
    mysql#30237]
  * security fix: CVE-2007-5969 / mysql#32111
  * for a full list of changes, see
  http://dev.mysql.com/doc/refman/5.0/en/releasenotes-cs-5-0-51.html
- fixed CVE-2007-6303 / mysql#29908
- fixed CVE-2007-6304 / mysql#29801
- fixed several testsuite failures
  (mybug25359.patch, mybug32458.patch, mybug33050.patch)
* Wed Dec 26 2007 crrodriguez@suse.de
- fix library-without-ldconfig-postun
* Thu Nov  8 2007 mmarek@suse.cz
- avoid using distributed pregenerated files instead of
  files generated in the builddirs
* Fri Aug 31 2007 mmarek@suse.cz
- make sure mysql-shared is replaced by libmysqlclient15 when
  updating from 10.1 or 10.2 [#306556]
* Wed Aug 29 2007 mmarek@suse.cz
- fix for http://bugs.mysql.com/30069
  (thanks to Richard Guenther)
* Tue Aug 21 2007 mmarek@suse.cz
- make TMPDIR relative to datadir= setting in /etc/my.cnf
- add a hint about changing datadir to rcmysql [#285076]
* Fri Jul 27 2007 mmarek@suse.cz
- updated to 5.0.45, for changes see
  http://dev.mysql.com/doc/refman/5.0/en/releasenotes-cs-5-0-45.html
* Mon Jul  2 2007 mmarek@suse.cz
- mysql_upgrade: don't fail if the db is already up-to-date
  [#287209] (mysql_upgrade-exit-status.patch)
* Mon Jun  4 2007 mmarek@suse.cz
- updated the mysql-test package (there are still some failures
  that don't occur during build-time tests)
- use a new version of the mysql_upgrade program, which finally
  handles errors from /usr/bin/mysql correctly
* Fri Jun  1 2007 mmarek@suse.cz
- fixed build for older distributions in the buildservice
* Tue May 29 2007 mmarek@suse.de
- run ldconfig in %%%%post of library packages
- don't copy example my.cnf files to /usr/share/doc (they're
  already installed in /usr/share/mysql
- fixed libmysqlclient-devel dependencies
* Mon May 28 2007 mmarek@suse.cz
- updated to 5.0.41, for changes see
  http://dev.mysql.com/doc/refman/5.0/en/releasenotes-cs-5-0-37.html
  http://dev.mysql.com/doc/refman/5.0/en/releasenotes-cs-5-0-41.html
- fixed --with testsuite build [#252630]
- renamed subpackages according to library packaging policy:
  mysql-shared -> libmysqlclient15, libmysqlclient_r15
  mysql-devel -> libmysqlclient-devel (pulls in both flavors)
- increased rcmysql start timeout to 30 seconds, don't return
  failure if mysql doesn't start early enough (except for update
  case) [#273938]
* Thu Mar 29 2007 mmarek@suse.de
- BuildRequires fixes:
  + ncurses-devel
  + zlib-devel
  + procps (configure needs /bin/ps)
  + pwdutils (to be able to install the package in the build root)
  + use sed instead of ex in the s390 workaround
- build with -DFORCE_INIT_OF_VARS to get rid of some uninitialized
  variable warnings
* Mon Mar 12 2007 mmarek@suse.cz
- added openssl-devel to Requires: of mysql-devel to fix build of
  packages using mysql-devel
* Thu Feb 22 2007 mmarek@suse.cz
- updated to 5.0.33, see
  http://dev.mysql.com/doc/refman/5.0/en/releasenotes-cs-5-0-33.html
  for a list of changes
- added SuSEfirewall2 description file [#246917]
- print a friendly message about "Duplicate column" errors in
  mysql_upgrade
  [#228248] (mysql_upgrade.patch)
- fixed a typo in /etc/logrotate/mysql [#244620]
- build the client, libraries and the Max server with OpenSSL
  support (FIXME: not yet tested, there are some failures in the
  testsuite)
- don't package the PDF manual (it's constantly out of date and it
  might make more sense to create a noarch mysql-manual.rpm or just
  point users to http://dev.mysql.com/doc/ instead)
- don't link libmysql to the various client binaries statically
- created a new mysql-tools subpackage with scripts / binaries
  that aren't essential for the client and server packages and
  bring additional deps (perl-DBD-mysql namely)
- use VPATH builds for building the different server versions for
  easier debugging (no 'make clean' in-between)
- build the client and libraries only once to save build time
  (mysql-build-only-server.patch)
- cleaned up spec file
* Mon Jan 22 2007 mmarek@suse.cz
- silence some gcc warnings (compiler-warnings.patch)
* Wed Jan  3 2007 mmarek@suse.cz
- mysql-devel doesn't need mysql-client [#231010]
* Tue Dec 19 2006 mmarek@suse.cz
- updated to 5.0.27
  * includes the fix for http://bugs.mysql.com/bug.php?id=23427
- fixed build with tar-1.16
- fixed small typo in README.SuSE, renamed to README.SUSE [#226716]
* Thu Nov 23 2006 mmarek@suse.de
- don't run killproc in rcmysql to avoid sending SIGKILL if
  possible [#223209]
* Wed Nov 15 2006 mmarek@suse.de
- create user mysql with shell /bin/false, because 'su mysql' is
  not needed anymore (see bug #57071)
* Wed Nov 15 2006 mmarek@suse.cz
- use /var/lib/mysql/.tmp instead of /var/lib/mysql/tmp to avoid
  collision with a database named 'tmp' [#221188]
* Tue Nov 14 2006 mmarek@suse.cz
- use upstream patch for the varbinary upgrade problem (fixes the
  problem in the REPAIR TABLE implementation, not in the mysqlcheck
  program)
  [#188134, http://bugs.mysql.com/bug.php?id=19371]
* Tue Oct 31 2006 mmarek@suse.cz
- fixed another binary incompatibility in mysql-shared
  [http://bugs.mysql.com/bug.php?id=23427] (mybug23427.patch)
* Thu Oct 19 2006 pnemec@suse.cz
- updated to 5.0.26
  * fixes security bugs CVE-2006-4226 and CVE-2006-4227
  * Ctrl-C in the mysql CLI client tries to kill the current
    statement first, instead of exiting
  * mysqlshow treats wild characters such as '_' as literal, if the
    argument matches a single database name exactly
  * DROP VIEW with multiple views will try to drop remaining views
    and not stop at first error
  * the server now issues a warning if it removes leading spaces
    from an alias
  * the VIEW_DEFINITION column of the INFORMATION_SCHEMA VIEWS
    table now contains information about the view algorithm
  * mysql_upgrade doesn't read the [client] section of my.cnf, only
    the [mysql_upgrade] section
  * the LOAD DATA FROM MASTER and LOAD TABLE FROM MASTER statements
    are deprecated, see
    http://dev.mysql.com/doc/refman/5.0/en/load-data-from-master.html
  * mysqldump now has a --flush-privileges option. It causes
    mysqldump to emit a FLUSH PRIVILEGES statement after dumping
    the mysql database
  * lots of bugfixes
- new patch uninitialized_variable.patch
* Mon Oct 16 2006 mmarek@suse.cz
- The ISAM storage engine is no longer supported, update the
  warning in rc.mysql.
* Mon Oct  2 2006 mmarek@suse.cz
- updated to version 5.0.24a
  * fixes a binary incompatibility of mysql-shared introduced in
    5.0.24
  * fixes a buffer overflow caused by statements with long DEFINER
    clause
  * fixes crash when closing temporary tables
* Mon Sep 11 2006 joeshaw@suse.de
- Add the libmysqld static libraries to the devel package.
* Wed Aug 16 2006 mmarek@suse.cz
- updated to version 5.0.24
  * added the --ssl-verify-server-cert option to MySQL client
    programs and MYSQL_OPT_SSL_VERIFY_SERVER_CERT for
    mysql_options()
  * new ssl_ca, ssl_capath, ssl_cert, ssl_cipher, and ssl_key
    system variables
  * added --skip-merge option to disable the MERGE storage engine,
    because it has a minor security problem
    [http://bugs.mysql.com/20230]
  * mysql_upgrade script reimplemented in C
  * bug fixes
- dropped obsolete CVE-2006-0903.patch and pick_args.patch,
  added my_libwrap.patch [http://bugs.mysql.com/18246]
* Tue Aug  1 2006 mmarek@suse.cz
- removed Recommends: from mysql-debug, it doesn't work on older
  dists
* Mon Jul 31 2006 mmarek@suse.cz
- created a new mysql-debug package compiled with --with-debug
  and removed the --with debug rpmbuild option
- fixed --core-file option to really work when the server is
  started by root
  (coredump.patch) [http://bugs.mysql.com/bug.php?id=21361]
- added a README.debug describing how to debug mysqld crashes
- cleaned up rc.mysql a bit
- the server depends on a minimal mysql-client version to make
  sure a recent mysqlcheck is available for rc.mysql
* Mon Jul 31 2006 mmarek@suse.cz
- fixed some leaks and overflos in varbinary-upgrade.patch
* Fri Jul 21 2006 mmarek@suse.cz
- workaround an incompatibility with pre-5.0 varbinary fields:
  update the .frm file and remove trailing zeros and spaces
  in 'mysqlcheck --check-upgrade'
  [#188134, http://bugs.mysql.com/bug.php?id=19371]
  (varbinary-upgrade.patch)
* Fri Jun 30 2006 mmarek@suse.cz
- use --skip-networking when running the server with
  - -skip-grant-tables in rcmysql (problem reported by Lenz Grimmer)
* Mon Jun 19 2006 mmarek@suse.cz
- updated to 5.0.22
  * new mysql_upgrade script for easies upgrades from previous
    versions
  * libmysqlclient.so uses versioned symbols
  * new 'charset' command in the  mysql client to switch charsets
    without reconnecting
  * lots of bugfixes
- modified rcmysql to use the mysql_upgrade script
- the testsuite can be run in %%%%build again (run
  rpmbuild --with testsuite ... mysql.spec)
- dropped patches: lib64.patch, sql_parse.patch
* Thu Jun  1 2006 mmarek@suse.cz
- build as user
* Wed May  3 2006 mmarek@suse.cz
- fix buffer overflow and and reading uninitialized memory using
  the COM_TABLE_DUMP protocol command (fix from the 5.0.21 release)
  [#172155] (sql_parse.patch)
* Tue Apr  4 2006 mmarek@suse.cz
- don't allow \0 in SQL even in comments
  [#163157] (CVE-2006-0903.patch)
* Mon Mar 27 2006 mmarek@suse.cz
- require mysql-shared = %%%%version in mysql-devel
* Tue Mar  7 2006 mmarek@suse.cz
- mail error message and explanation in logrotote script
  [#155341] (logrotate.patch)
* Mon Mar  6 2006 mmarek@suse.cz
- make err-log option work again
- put a symlink to the logfile into /var/log
  [#155341] (4x-compat.patch)
* Tue Jan 31 2006 mmarek@suse.cz
- run mysql_fix_privilege_tables.sql when upgrading from 4.1
  [#146739]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 10 2006 mmarek@suse.cz
- created a new package mysql-test
- removed unnecessary %%%%suse_update_config
* Mon Jan  2 2006 mmarek@suse.cz
- update to 5.0.18
* Tue Dec  6 2005 mmarek@suse.cz
- update to 5.0.16
* Thu Dec  1 2005 mmarek@suse.cz
- try postadal's update in BETA
* Tue Oct 25 2005 postadal@suse.cz
- updated to version 5.0.15 [#119929]
- removed obsoleted buffer-overflow.patch
- fixed gcc issue
* Thu Sep  1 2005 pnemec@suse.cz
- fixed bug #95729 : set $TMPDIR to /var/lib/mysql/tmp
* Tue Aug 30 2005 lmuelle@suse.de
- Use MySQL for any output of the init script and add a space at each line we
  output.
* Tue Jul 26 2005 postadal@suse.cz
- updated to version 4.1.13
- removed obsoleted sentinel.patch
- added glibc-devel zlib-devel to devel requires
* Fri May 20 2005 mcihar@suse.cz
- update to 4.1.12 (fixes tmp race, bug #84740)
* Fri Apr 22 2005 mcihar@suse.cz
- fix buffer overflow in test
* Thu Apr 21 2005 tcrhak@suse.de
- use $datadir when initializing a new database (bug #63707)
* Wed Apr  6 2005 mcihar@suse.cz
- update to 4.1.11
- compile against readline (bug #75901)
* Sun Apr  3 2005 aj@suse.de
- Fix GCC 4 warning.
* Fri Apr  1 2005 mcihar@suse.cz
- enable ISAM engine (bug #75320)
- warn about existing ISAM tables (bug #75320)
- fix init script to update MySQL tables on upgrade (bug #75321)
* Thu Mar 10 2005 mcihar@suse.cz
- update to 4.1.10a (bug #71788)
* Tue Feb 15 2005 mcihar@suse.cz
- update to 4.1.10 (bug #50825)
* Thu Feb 10 2005 mcihar@suse.cz
- disable actually test also for second build
* Tue Feb  8 2005 mcihar@suse.cz
- remove tests at all, these timeout in autobuild and work okay when
  building manyally
* Fri Feb  4 2005 mcihar@suse.cz
- increase test timeout not to fail so often
* Mon Jan 24 2005 mcihar@suse.cz
- update to 4.1.9
- normal version now also supports InnoDB as well as original MySQL packages
- update mysql tables on server start if needed
* Fri Sep 17 2004 ro@suse.de
- added symlinks for libmysqlclient_r also in libdir/mysql
* Fri Sep 17 2004 tcrhak@suse.cz
- added symlink libmysqlclient_r.so -> libmysqlclient_r.so.12.0.0
  to the file list of mysql-devel (bug #44700)
* Fri Sep 10 2004 tcrhak@suse.cz
- update to 4.0.21
* Thu Sep  2 2004 tcrhak@suse.cz
- do not use /var/adm/notify for notification mails (bug #44357)
- updated README.SuSE (bug #44332)
- be more verbose in the initial welcome message of mysql_install_db
  (also bug #44332)
* Thu Aug 19 2004 tcrhak@suse.cz
- update to version 4.0.20
- use group 'mysql' instead of 'daemon' for mysqld (bug #42071)
- fixed a lib64 issue in mysql_config
- applied patch for a security hole in mysqlhotcopy (bug #43829)
- fixed a typo in rcmysql (bug #41055)
- fix in order not to use initgroups() (caused segfault when used
  with ldap, bug #39798)
* Fri Apr  2 2004 tcrhak@suse.cz
- fixed tmp race in mysqlbug (bug #37115)
* Wed Mar 31 2004 tcrhak@suse.cz
- mysql: added dependency on perl-DBD-mysql (bug #36500)
- fixed timezone.test (patch timezone)
* Sat Mar 27 2004 ro@suse.de
- mysql-bench: replace perl-Msql-Mysql-modules by perl-DBD-mysql
  in requires
* Wed Mar 17 2004 tcrhak@suse.cz
- use -f when running hostname in mysql_install_db (bug #36060)
* Fri Feb 20 2004 tcrhak@suse.cz
- added /usr/bin/myisam_ftdump to filelist
- updated manual.pdf to the latest version (2004-02-20)
* Wed Feb 18 2004 tcrhak@suse.cz
- update to version 4.0.18
* Fri Feb  6 2004 kukuk@suse.de
- Compile with -fno-strict-aliasing
* Wed Oct 29 2003 tcrhak@suse.cz
- use socket to detect the start of mysqld instead
  of 'mysqladmin ping' again [bug #31605]
* Tue Sep 16 2003 tcrhak@suse.cz
- fixed the postrotate script [bug #30985]
* Mon Sep 15 2003 tcrhak@suse.cz
- fixed bogus 'start failed' reporting [bug #30210]
* Thu Sep 11 2003 tcrhak@suse.cz
- update to version 4.0.15
* Thu Aug 28 2003 meissner@suse.de
- Readded ppc/ppc64 mutex patch.
* Mon Aug 25 2003 tcrhak@suse.cz
- updated to version 4.0.14
- added patch overflow
- added macros %%stop_on_removal and %%restart_on_update
- updated the pdf manual to version 2003-08-22
* Fri May 30 2003 tcrhak@suse.cz
- fixed installed unpacked files
* Fri May 16 2003 tcrhak@suse.cz
- update to version 4.0.12
- require mysql-client in the main package (needed for logrotate)
- use mysqladmin ping in logrotate script
- commented out log_bin in my.cnf (my-medium.cnf) (bug #26716)
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Mar  7 2003 kukuk@suse.de
- Fix useradd options
* Sun Feb 23 2003 tcrhak@suse.cz
- added %%fillup_prereq and %%insserv_prereq [bug #24039]
* Fri Feb 14 2003 tcrhak@suse.cz
- updated to version 3.23.55
- updated the pdf manual to version 2002-07-26
- fixed script mysql_install_db to use mysql-max if present
  ( necessary if e.g. options concerning innodb are
    uncommented prior to starting mysqld )
- on start-up, detach from the terminal [bug #18440]
- added %%install_info macros
* Fri Jan 17 2003 bg@suse.de
- Disabled berkeley db backend for hppa
* Mon Dec  2 2002 ro@suse.de
- include errno.h
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Sat Aug 24 2002 kukuk@suse.de
- Disabled berkeley db backend for SPARC
* Mon Aug 19 2002 bk@suse.de
- Update to 3.23.52, which is a bugfix release for 3.23.51. Fixes (trimmed):
  o Fixed security bug when having an empty database name in the user.db table.
  o Changed initialisation of RND() to make it less predicatable.
  o Fixed GROUP BY on result with expression that created a BLOB field.
  o Fixed thread bug in SLAVE START, SLAVE STOP and automatic repair of MyISAM
    tables that could cause table cache to be corrupted.
  o Fixed possible thread related key-cache-corruption problem with OPTIMIZE
    TABLE and REPAIR TABLE.
  o Fixed bug with creating an auto-increment value on second part of a UNIQUE()
    key where first part could contain NULL values.
  o Don't write slave-timeout reconnects to the error log.
  o Fixed bug with slave net read timeouting
  o Fixed a core-dump bug with MERGE tables and MAX() function.
  o Fixed bug in ALTER TABLE with BDB tables.
  o Fixed bug when logging LOAD DATA INFILE to binary log with no active database.
  o Fixed a bug in range optimiser (causing crashes).
  o Fixed possible problem in replication when doing DROP DATABASE on a database
    with InnoDB tables.
- add fileutils to PreReq and use echo instead of cat.
* Mon Aug 12 2002 max@suse.de
- Using pthread mutexes instead of atomic_* on s390 and s390x,
  because mysql casts &int to (atomic_t *) when calling the atomic
  functions which breaks the alignment constraints of atomic_t.
* Tue Jul 23 2002 kukuk@suse.de
- Fix useradd call
* Mon Jul 22 2002 kukuk@suse.de
- Create user mysql
* Mon Jul 22 2002 max@suse.de
- New version: 3.23.51.
- Init script doesn't source /etc/rc.config anymore [#17122].
- Disabled berkeley db backend for alpha and x86_64 as well.
- Still breaks on s390x, and x86_64.
* Fri Jun 14 2002 meissner@suse.de
- Reenabled make test.
- Rerun auto* tools so libtool works on ppc64.
- Do not use the berkeley DB backend on s390,s390x,ppc,ppc64,axp,mips
  (needs to be fixed some time)
- Use generic AC_SYS_LARGEFILE macro.
- Do not use asm/atomic stuff on ppc64 (long vs int problem).
- Use CONFIG_SMP for other asm/atomic stuff instead of __SMP__.
* Mon May 27 2002 meissner@suse.de
- Disabled make test for x86_64 for now.
- More %%_lib fixes, packaged libmysqlclient.so symlink into devel, the
  rest *.so.* into shared.
* Wed Apr 24 2002 meissner@suse.de
- started x86_64 work. Implemented required fast mutex,
  now only the test suite fail.
* Fri Feb 15 2002 grimmer@suse.de
- Update to 3.23.48 (bugfixes) - MySQL 3.23 is now considered
  STABLE!
  * Fixed bug in complicated join with const tables
  * Added internal safety checks for InnoDB
  * SHOW GRANTS now shows REFERENCES instead of REFERENCE
- use more libdir macros
- safe_mysqld logfile has been renamed from
  /var/lib/mysql/<hostname>.log to /var/lib/mysql/mysqld.log and
  is properly rotated by logrotate
- updated README.SuSE
* Wed Jan 30 2002 grimmer@suse.de
- Update to 3.23.47 (bugfixes) - see the following URLs for the
  full list of changes:
  http://www.mysql.com/doc/N/e/News-3.23.47.html
- re-enabled and adjusted inline-patch
- use libdir and prefix macros in configure call
* Thu Dec 20 2001 grimmer@suse.de
- added /etc/logrotate.d/mysql
- added log-rotate.patch to fit SuSEs logrotating better
- added debugging symbols and /usr/bin/resolve_stack_dump
- reworked installation section in spec file (create all
  directories first)
* Mon Dec 17 2001 grimmer@suse.de
- Update to 3.23.46 (bugfixes) - see the following URLs for the
  full list of changes:
  http://www.mysql.com/doc/N/e/News-3.23.45.html
  http://www.mysql.com/doc/N/e/News-3.23.46.html
- Changed ldflags from "all-static" to "static" and make sure
  to archive *.lai files as well before recompiling (required
  to build Midgard), thanks to schwab@suse.de for the patch
- changed mysql-shared file list from /usr/lib/libmysqlclient.so*
  to /usr/lib/libmysqlclient.so.*
- removed START_MYSQL rc.config entry for SuSE Linux 8.0, adapted
  spec file to reflect this change
- updated README.SuSE
* Wed Nov 21 2001 grimmer@suse.de
- added check for "socket=" variable in function "parse_arguments"
  in the mysql init script (thanks to Aivo Kalu and Peter Marschall
  for spotting this) - the init script would issue a "failed"
  notice, if the socket variable had been changed to a different
  path than /var/lib/mysql/mysql.sock in /etc/my.cnf even though
  the MySQL daemon would be up and running [#12411]
* Thu Nov 15 2001 grimmer@suse.de
- Update to 3.23.44 (bugfixes) - see the following URLs for the
  full list of changes:
  http://www.mysql.com/doc/N/e/News-3.23.43.html
  http://www.mysql.com/doc/N/e/News-3.23.44.html
- added "-felide-constructors -fno-exceptions -fno-rtti" to
  CXXFLAGS in spec file (thanks to Monty Widenius for pointing
  this out)
- Updated manual.pdf
- disabled inline patch (not required anymore)
- Install /etc/mysqlaccess.conf with permissions set to "640"
  instead of "755" [#10871]
* Mon Oct  1 2001 schwab@suse.de
- Add patch to allow compilation even if the compiler decides to
  not actually inline the two largest inline functions,
  page_dir_slot_check() and btr_search_check_guess().
- Don't run automake, fix the extra dependency instead.
* Mon Sep 17 2001 grimmer@suse.de
- Update to 3.23.42 (bugfixes) - the following bugs were fixed:
  * Fixed problem when using LOCK TABLES and BDB tables.
  * Fixed problem with REPAIR TABLE on MyISAM tables with row
    lengths between 65517 - 65520 bytes
  * Fixed rare hang when doing mysqladmin shutdown when there
    was a lot of activity in other threads.
  * Fixed problem with INSERT DELAYED where delay thread could
    be hanging on upgrading locks without any apparent reasons.
  * Fixed problem with myisampack and BLOB.
  * Fixes problem when one edited .MRG tables by hand. (Patch
    from Benjamin Pflugmann).
  * Enforce that all tables in a MERGE table come from the same
    database.
  * Fixed bug with LOAD DATA INFILE and transactional tables.
  * Fix bug when using INSERT DELAYED with wrong column definition.
  * Fixed coredump during REPAIR of some particularly broken tables.
  * Fixed bug in InnoDB and AUTO_INCREMENT columns.
  * Fixed bug in InnoDB and RENAME TABLE columns.
  * Fixed critical bug in InnoDB and BLOB columns. If one has used
    BLOB columns larger than 8000 bytes in an InnoDB table, one
    must dump the table with mysqldump, drop it and restore it
    from the dump.
  * Applied large patch for OS/2 from Yuri Dario.
  * Fixed problem with InnoDB when one could get the error
    Can't execute the given command... even when one didn't have
    an active transaction.
  * Applied some minor fixes that concern Gemini.
  * Use real arithmetic operations even in integer context if not
    all arguments are integers. (Fixes uncommon bug in some integer
    contexts).
  * Don't force everything to lower cases on Windows. (To fix
    problem with Windows and ALTER TABLE). Now --lower_case_names
    also works on Unix.
  * Fixed that automatic rollback that is done when thread end
    doesn't lock other threads.
* Tue Aug 14 2001 grimmer@suse.de
- Update to 3.23.41 (bugfixes, see the changelog at
  http://www.mysql.com/doc/N/e/News-3.23.41.html for details)
* Mon Jul 30 2001 grimmer@suse.de
- Update to 3.23.40 (see the changelogs at
  http://www.mysql.com/doc/N/e/News-3.23.x.html for details)
- spec file: added mysql-Max subpackage that includes all the
  new bells and whistles (BerkeleyDB, InnoDB)
- spec file: added "--with-libwrap" compile option to enable
  TCP wrapper support
- spec file: reworked the build and install section to ease
  the creation of mysqld-max
- rc.mysql: fixed two (trivial) typos
- rc.mysql: make sure to test for mysqld-max as well before
  trying to start up
- spec file: moved "replace" and "perror" binaries incl.
  man pages to the mysql-client package
- spec file: corrected URLs
- manual.pdf: update to current version
- README.SuSE: updated to document the above changes
* Fri May  4 2001 grimmer@suse.de
- Fixed a nasty bug when updating after the database files
  have been copied to the new location, but the old ones have
  not been removed (#7692) - thanks to Jochen Schulz
  <jschulz1@gwdg.de> for spotting this one.
* Sat Apr 28 2001 grimmer@suse.de
- Update to 3.23.37 (bugfixes, see
  http://www.mysql.com/doc/N/e/News-3.23.37.html for full
  changelog)
- fixed init script, now start MySQL using the wrapper script
  "safe_mysqld" instead of mysqld again (logging did not work),
  fixes for bug [#6876] and [#6840]
- we currently do not enable MySQL-Max, since it is still
  considered beta (http://www.mysql.com/downloads/mysql-max-3.23.html)
* Thu Apr 12 2001 grimmer@suse.de
- Update to 3.23.36 (bugfix and security release)
  full Changelogs for Changes between 3.23.33 and 3.23.36 are here:
  http://www.mysql.com/doc/N/e/News-3.23.36.html
  http://www.mysql.com/doc/N/e/News-3.23.35.html
  http://www.mysql.com/doc/N/e/News-3.23.34.html
- reworked init script
- added more man pages to file list
- reworked README.SuSE
- added automated testing to spec file
* Thu Mar  8 2001 grimmer@suse.de
- Update to 3.23.33 (bugfix release, see
  http://www.mysql.com/doc/N/e/News-3.23.33.html for a complete
  list of changes)
- updated manual.pdf
- fixed init script (#6044, "failed" on startup on a 2.4 kernel)
  beautified init script output a bit, changed "reload" argument
  to "force-reload" and added separate "reload" section
- added some comments about replication and BerkeleyDB code to
  README.SuSE
- marked init script as config file in spec file
* Tue Jan 23 2001 grimmer@suse.de
- Update to 3.23.32 - stable release including security fixes
  for the SHOW GRANTS statement and a remote buffer overflow
  (Bugtraq ID 2262)
- updated manual.pdf
- added some missing files to the file list
- added --without-berkeley-db to the configure options
  (according to the release notes, Berkeley DB support and
  replication have not been exhaustively tested yet)
* Wed Jan 10 2001 grimmer@suse.de
- Update to 3.23.30-gamma (bugfix-release)
- added manual.pdf as a separate file
- removed verbosity flag from cp-command in preinstall section
* Fri Dec 22 2000 grimmer@suse.de
- fixed initial startup in init script (correct ownerships of
  the mysql datadir before starting mysqld using "chown")
- added different mysql sample configurations to directory "cnf"
  in the documentation directory
- use my-medium.cnf as default configuration /etc/my.cnf
* Mon Dec 18 2000 grimmer@suse.de
- fixed packaging of mysql-bench (file list was empty)
* Fri Dec 15 2000 grimmer@suse.de
- init script fixes (added $remote_fs to Required-Start,
  check if /usr/sbin/mysqld exists)
- README.SuSE updates
* Fri Dec  1 2000 ro@suse.de
- added static libs to devel package
* Mon Nov 27 2000 grimmer@suse.de
- update to 3.23.28-gamma (considered stable enough by Monty)
- added --with-extra-charsets=complex
- database files are now located below /var/lib/mysql
- do not use --with-raid or --with-berkeley-db yet
- adapted to new init scheme (new init script, removed symlinks,
  moved init script from /sbin/init.d -> /etc/init.d)
- moved socket from /tmp/mysql.sock to /var/lib/mysql/mysql.sock
- removed AGREEMENT since mysql is GPL now
- removed README.SuSE, rc.config.mysql and rc.mysql from patch
  and added them as additional source files instead
* Fri Nov 10 2000 grimmer@suse.de
- added a symlink /usr/lib/mysql/libmysqlclient.so ->
  ../libmysqlclient.so.6.0.0 to make libtool happy
* Mon Nov  6 2000 grimmer@suse.de
- fixed Requires: for mysql-bench (mysql-perl -> perl-Msql-Mysql-modules)
* Thu Nov  2 2000 grimmer@suse.de
- switched to long package names:
    mysqclnt -> mysql-client
    mysqldev -> mysql-devel
    mysqbnch -> mysql-bench
    mysqllib -> mysql-shared
- removed subpackage mysqperl from mysql.spec and created
  separate packages (perl-Msql-Mysql-modules and perl-Data-ShowTable)
- finally use BuildRoot
- updated README.SuSE to reflect changes
* Tue Aug 22 2000 ro@suse.de
- fixed perl path
* Fri Jul 21 2000 grimmer@suse.de
- corrected removal of comment - bash does not like
  empty if-statements...
* Thu Jul 13 2000 grimmer@suse.de
- added missing "-" to parameter "hostname --fqdn" in
  scripts/mysql_install_db.sh (BUG#3383)
- removed comment from scripts/mysql_install_db.sh about
  needing to install an init script, since we supply this already
* Wed Jul  5 2000 grimmer@suse.de
- removed DBI perl module from subpackage mysqperl (is in a
  separate package "perl_dbi" now) and adjusted file list
  (BUG#3173)
* Wed May 24 2000 uli@suse.de
- moved docs to /usr/share
* Fri May  5 2000 freitag@suse.de
- Security change requested by a feedback mail - sets initially
  a full qualified hostname and notifies the user to change the
  two root passwords and not only one.
- added autoconf and automake to neededforbuild
- added --host=%%{_host} to configure call due to suspicious libtool
  probs
- /usr/doc/packages replaced by %%{_defaultdocdir}
* Fri Apr  7 2000 bk@suse.de
- added suse update config macro
* Wed Feb 23 2000 grimmer@suse.de
- Update to 3.22.32
- created subpackage "mysqllib" which contains shared libs only
- created subpackage "mysqperl" which contains the perl modules
- removed obsolete security patch (is included in new version)
- update now checks for existing database files and chowns them
  to "mysql" itself, if they still belong to "root" - specfile
  and init script modified
- removed SuSE Linux version from AGREEMENT
- updated README.SuSE to reflect changes
* Fri Feb 11 2000 grimmer@suse.de
- added security patch from monty@tcx.se (password authentication)
* Thu Jan 13 2000 grimmer@suse.de
- update to 3.22.30 (security fix for GRANT privileges)
- now uses version macro in spec file
* Fri Jan  7 2000 grimmer@suse.de
- update to 3.22.29
- updated Msql-Mysql-modules to 1.2210 and removed obsolete patch
- changed RPM Group of mysqldev to Development/Libraries
- corrected paths in mysqlaccess
* Thu Oct 28 1999 grimmer@suse.de
- update to 3.22.27
- updated Msql-Mysql-modules to 1.2209
- fixed check for ownership of installed db in specfile
* Mon Oct 25 1999 grimmer@suse.de
- update to 3.22.26a
- now runs as user "mysql" (resolved Bug #371)
- now uses /etc/my.cnf
- updated perl-modules (DBI, Msql-Mysql-modules)
- moved long names from PAC-file to specfile (Provides:)
- misc minor corrections/updates (specfile, init-script...)
* Mon Aug 30 1999 grimmer@suse.de
- added bugfix for Alpha (TEXT and BLOB were broken)
- modified configure-call in spec
- added long aliases to PAC-files
* Tue Jul 13 1999 grimmer@suse.de
- update to 3.22.25
- updated perl-modules (DBI, Msql-Mysql-modules)
- moved libs (mysqlclient.so et al) from /usr/lib/mysql to /usr/lib
- minor corrections (README.SuSE, init-Script)
* Thu May 20 1999 ro@suse.de
- activate assembler parts only on x86
* Wed Apr 28 1999 grimmer@suse.de
- added missing perl module (Mysql.pm)
- added missing perl package (Data-Showtable)
* Tue Apr  6 1999 ro@suse.de
- update to 3.22.21
- split into subpackages (mysql, mysqclnt, mysqldev, mysqbnch)
- re-added perl-modules
- updated init-Script
- /etc/mysql.passwd is now obsolete
* Fri Dec 11 1998 grimmer@suse.de
- updated init-Script
* Sun Nov 29 1998 bs@suse.de
- fixed pathes for perl modules.
- remove symlinks before creating them.
* Fri Nov 27 1998 ro@suse.de
- adapted paths to old perl
- this version should not have been in stable
* Tue Nov 24 1998 grimmer@suse.de
- added /usr/doc/packages/AGREEMENT
* Tue Nov 17 1998 ro@suse.de
- adapted paths to perl5.005_02
* Wed Nov 11 1998 ro@suse.de
- added libgpp to neededforbuild
* Mon Nov  9 1998 grimmer@suse.de
- New Package (Version 3.21.33b)
